Bug 1807563

Summary: xmms2 requires Python 2 to build
Product: [Fedora] Fedora Reporter: Petr Viktorin <pviktori>
Component: xmms2Assignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: tcallawa, thomasj
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-02-28 15:45:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1803205    

Description Petr Viktorin 2020-02-26 15:51:46 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like xmms2, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.
It looks like need for python2 comes from a binary bundle of an old version of "waf"; can that be updated?
Let us know if you need any help investigating or removing the dependency.

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Tom "spot" Callaway 2020-02-28 15:45:16 UTC
xmms2 no longer needs Python2 to build in rawhide.

Comment 2 Petr Viktorin 2020-03-03 12:02:19 UTC
Wow. Thank you!